# ArmatureActuator(Actuator)

base classes — `bpy_struct`, `Actuator`

class `bpy.types.``ArmatureActuator`(Actuator)
  `bone`

    Bone on which the constraint is defined

    Type: | string, default “”, (never None)

  `constraint`

    Name of the constraint to control

    Type: | string, default “”, (never None)

  `influence`

    Influence of this constraint

    Type: | float in [0, 1], default 0.0

  `mode`

    Type: | enum in [‘RUN’, ‘ENABLE’, ‘DISABLE’, ‘SETTARGET’, ‘SETWEIGHT’, ‘SETINFLUENCE’], default ‘RUN’

  `secondary_target`

    Set this object as the secondary target of the constraint (only IK polar target at the moment)

    Type: | `Object`

  `target`

    Set this object as the target of the constraint

    Type: | `Object`

  `weight`

    Weight of this constraint

    Type: | float in [0, 1], default 0.0

Inherited Properties

`bpy_struct.id_data` `Actuator.name` `Actuator.type` | `Actuator.pin` `Actuator.show_expanded` `Actuator.active`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Actuator.link` `Actuator.unlink`